> For the complete documentation index, see [llms.txt](https://docs.eximee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eximee.com/budowanie-aplikacji/logika-biznesowa/jezyk-wyrazen-definiowania-warunkow-warunki-z-getvalue/atrybuty-komponentow.md).

# Atrybuty komponentów

Wspólne atrybuty to są:

* value - zwraca wartość
* displayValue - zwraca wyświetlaną wartość
* visible - zwraca widoczność

Po opisy atrybutów odsyłamy do dokumentacji poszczególnych komponentów.

<table><thead><tr><th width="282.433349609375">Komponent</th><th>Atrybuty</th></tr></thead><tbody><tr><td>Pole tekstowe</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Obszar tekstu</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Data</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Zakres dat</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Plus minus</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Treść formatowana (i zwijana)</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Pole wyboru wartości z listy (Combobox)</td><td>label - tekst wybranej wartości<br>description - description wybranej wartości<br>size - długość listy wartości</td></tr><tr><td>Wybór rachunku</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Checkbox</td><td>moreInfoButtonClicked<br>value<br>displayValue<br>visible</td></tr><tr><td>Radio</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Grupa radio</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Grupa kafli</td><td>content - zwróci displayValue<br>value<br>displayValue<br>visible</td></tr><tr><td>Kafel</td><td>visible</td></tr><tr><td>Oświadczenia</td><td>statementsItemControl<br>value<br>displayValue<br>visible</td></tr><tr><td>Slider</td><td>sliderValue<br>value - (defaultValue)<br>displayValue<br>visible</td></tr><tr><td>Step Slider</td><td>sliderValue - value<br>value - (defaultValue)<br>displayValue<br>visible</td></tr><tr><td>Slider podwójnego zakresu</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Sekcja</td><td>folded</td></tr><tr><td>Sekcja checkbox</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Sekcja powtarzalna</td><td>folded</td></tr><tr><td>Pomoc kontekstowa</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Wybór produktu</td><td>variantId<br>productId<br>value<br>displayValue<br>visible</td></tr><tr><td>Picture card</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Załączniki</td><td>totalFilesSize<br>fileNames<br>externalIds<br>value<br>displayValue<br>visible</td></tr><tr><td>Komponent potwierdzenia danych</td><td>wasEdited<br>value<br>displayValue<br>visible</td></tr><tr><td>Skaner kodów QR</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Mapa</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Komponent specjalizowany</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Frontend component</td><td>value<br>displayValue<br>visible</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eximee.com/budowanie-aplikacji/logika-biznesowa/jezyk-wyrazen-definiowania-warunkow-warunki-z-getvalue/atrybuty-komponentow.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
